#!/usr/bin/env python
#-*- coding: UTF-8 -*-
 
import wx
from   .encfsmanmisc import *

class CustomStatusBar(wx.StatusBar):
    ID_LED = wx.NewId()
    
    def __init__(self, parent):
        wx.StatusBar.__init__(self, parent, -1)
        self.parent = parent
        self.Bind(wx.EVT_SIZE, self.rePosition)
        self.SetFieldsCount(2)
        self.SetStatusWidths([-1, 22])
        self.SetStatusStyles([3, 3])  # wx.SB_SUNKEN geht nicht !!??
        self.led = wx.TextCtrl(self, -1, ' ', size = (16, 16), style = wx.TE_READONLY)
        self.setLed(RED)
        self.rePosition()
    #-------------------------------------------------------------------------------------------------------

    def setLed(self, color):
        self.led.SetBackgroundColour(color)
        self.led.Clear()
    #-------------------------------------------------------------------------------------------------------

    def rePosition(self, event = None):
        rect = self.GetFieldRect(1)
        self.led.SetPosition(wx.Point(rect.x + 2, rect.y))
# - CustomStatusBar(wx.StatusBar):-------------------------------------------------------------------------
